<!-- HTML header for doxygen 1.8.9.1-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>OpenThread: src/core/thread/link_quality.hpp File Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="../../Open-Thread-Logo-200x42.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">
   &#160;<span id="projectnumber">gddd0704</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "../../search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="../../index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="../../modules.html"><span>Modules</span></a></li>
      <li><a href="../../namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="../../annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="../../files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="../../search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="../../search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="../../files.html"><span>File&#160;List</span></a></li>
      <li><a href="../../globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('d2/d49/link__quality_8hpp.html','../../');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">link_quality.hpp File Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>This file includes definitions for storing and processing link quality information.  
<a href="#details">More...</a></p>
<div class="textblock"><code>#include &lt;<a class="el" href="../../dc/dbf/openthread-types_8h_source.html">openthread-types.h</a>&gt;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for link_quality.hpp:</div>
<div class="dyncontent">
<div class="center"><img src="../../d7/d67/link__quality_8hpp__incl.png" border="0" usemap="#src_2core_2thread_2link__quality_8hpp" alt=""/></div>
<map name="src_2core_2thread_2link__quality_8hpp" id="src_2core_2thread_2link__quality_8hpp">
<area shape="rect" id="node2" href="../../dc/dbf/openthread-types_8h.html" title="This file defines the types and structures used in the OpenThread library API. " alt="" coords="63,92,199,117"/>
<area shape="rect" id="node3" href="../../df/dd8/stdint_8h_source.html" title="stdint.h" alt="" coords="5,165,70,191"/>
<area shape="rect" id="node4" href="../../d9/d5e/stdbool_8h_source.html" title="stdbool.h" alt="" coords="93,165,169,191"/>
<area shape="rect" id="node5" href="../../d3/da9/toolchain_8h_source.html" title="platform/toolchain.h" alt="" coords="193,165,330,191"/>
</map>
</div>
</div><div class="textblock"><div class="dynheader">
This graph shows which files directly or indirectly include this file:</div>
<div class="dyncontent">
<div class="center"><img src="../../da/d06/link__quality_8hpp__dep__incl.png" border="0" usemap="#src_2core_2thread_2link__quality_8hppdep" alt=""/></div>
<map name="src_2core_2thread_2link__quality_8hppdep" id="src_2core_2thread_2link__quality_8hppdep">
<area shape="rect" id="node2" href="../../dc/d0b/link__quality_8cpp.html" title="This file implements link quality information processing and storage. " alt="" coords="3045,92,3179,131"/>
<area shape="rect" id="node3" href="../../df/d4b/topology_8hpp.html" title="This file includes definitions for maintaining Thread network topologies. " alt="" coords="3203,99,3392,124"/>
<area shape="rect" id="node4" href="../../da/db5/mac_8hpp.html" title="This file includes definitions for the IEEE 802.15.4 MAC. " alt="" coords="3671,179,3823,204"/>
<area shape="rect" id="node8" href="../../da/d80/mesh__forwarder_8hpp.html" title="This file includes definitions for forwarding IPv6 datagrams across the Thread mesh. " alt="" coords="3449,685,3596,724"/>
<area shape="rect" id="node39" href="../../d0/d78/mle_8hpp.html" title="This file includes definitions for MLE functionality required by the Thread Child, Router, and Leader roles. " alt="" coords="1530,259,1691,284"/>
<area shape="rect" id="node44" href="../../d6/d6f/mle__router_8hpp.html" title="This file includes definitions for MLE functionality required by the Thread Router and Leader roles..." alt="" coords="2140,425,2276,464"/>
<area shape="rect" id="node5" href="../../d4/dd9/mac_8cpp.html" title="This file implements the subset of IEEE 802.15.4 primitives required for Thread. " alt="" coords="4140,952,4292,977"/>
<area shape="rect" id="node6" href="../../d9/d2d/address__resolver_8hpp.html" title="This file includes definitions for Thread EID&#45;to&#45;RLOC mapping and caching. " alt="" coords="3773,599,3934,637"/>
<area shape="rect" id="node11" href="../../d1/d54/thread__netif_8hpp.html" title="This file includes definitions for the Thread network interface. " alt="" coords="2248,772,2400,811"/>
<area shape="rect" id="node50" href="../../d4/dbe/global__address_8cpp.html" title="This file implements the Thread IPv6 global addresses configuration utilities. " alt="" coords="3671,252,3806,291"/>
<area shape="rect" id="node7" href="../../de/d27/address__resolver_8cpp.html" title="This file implements Thread&#39;s EID&#45;to&#45;RLOC mapping and caching. " alt="" coords="4299,859,4461,897"/>
<area shape="rect" id="node33" href="../../d1/df9/mle_8cpp.html" title="This file implements MLE functionality required for the Thread Child, Router and Leader roles..." alt="" coords="4485,865,4646,891"/>
<area shape="rect" id="node9" href="../../df/d6b/mesh__forwarder_8cpp.html" title="This file implements mesh forwarding of IPv6/6LoWPAN messages. " alt="" coords="4129,859,4276,897"/>
<area shape="rect" id="node10" href="../../d1/da2/network__diag_8cpp.html" title="This file implements Thread&#39;s Network Diagnostic processing. " alt="" coords="1112,859,1272,897"/>
<area shape="rect" id="node12" href="../../d3/dd0/announce__begin__client_8cpp.html" title="This file implements the Announce Begin Client. " alt="" coords="3523,859,3712,897"/>
<area shape="rect" id="node13" href="../../d7/d69/commissioner_8cpp.html" title="This file implements a Commissioner role. " alt="" coords="46,865,283,891"/>
<area shape="rect" id="node14" href="../../d2/d47/dtls_8cpp.html" title="This file implements the necessary hooks for mbedTLS. " alt="" coords="2184,865,2360,891"/>
<area shape="rect" id="node15" href="../../dd/d3b/energy__scan__client_8cpp.html" title="This file implements the Energy Scan Client. " alt="" coords="2384,859,2555,897"/>
<area shape="rect" id="node16" href="../../d4/d64/joiner_8cpp.html" title="This file implements the Joiner role. " alt="" coords="2578,865,2766,891"/>
<area shape="rect" id="node17" href="../../db/dc3/joiner__router_8cpp.html" title="This file implements the Joiner Router role. " alt="" coords="357,859,520,897"/>
<area shape="rect" id="node18" href="../../d7/d02/leader_8cpp.html" title="This file implements a MeshCoP Leader. " alt="" coords="544,865,736,891"/>
<area shape="rect" id="node19" href="../../d5/de7/panid__query__client_8cpp.html" title="This file implements the PAN ID Query Client. " alt="" coords="2789,859,2952,897"/>
<area shape="rect" id="node20" href="../../d2/dfc/openthread-instance_8h.html" title="This file defines the structure of the variables required for all instances of OpenThread API..." alt="" coords="1919,859,2059,897"/>
<area shape="rect" id="node24" href="../../da/d60/openthread_8cpp.html" title="This file implements the top&#45;level interface to the OpenThread stack. " alt="" coords="2220,952,2385,977"/>
<area shape="rect" id="node25" href="../../db/d84/thread__netif_8cpp.html" title="This file implements the Thread network interface. " alt="" coords="731,945,883,984"/>
<area shape="rect" id="node28" href="../../d4/d67/announce__begin__server_8cpp.html" title="This file implements the Announce Begin Server. " alt="" coords="2976,859,3149,897"/>
<area shape="rect" id="node29" href="../../da/d6e/energy__scan__server_8cpp.html" title="This file implements the Energy Scan Server. " alt="" coords="3173,859,3328,897"/>
<area shape="rect" id="node30" href="../../dd/d59/key__manager_8cpp.html" title="This file implements Thread security material generation. " alt="" coords="3971,859,4106,897"/>
<area shape="rect" id="node31" href="../../d6/d2b/lowpan_8cpp.html" title="This file implements 6LoWPAN header compression. " alt="" coords="1664,865,1845,891"/>
<area shape="rect" id="node32" href="../../df/d42/meshcop__dataset__manager_8cpp.html" title="This file implements MeshCoP Datasets manager to process commands. " alt="" coords="760,859,928,897"/>
<area shape="rect" id="node34" href="../../d9/d88/mle__router_8cpp.html" title="This file implements MLE functionality required for the Thread Router and Leader roles. " alt="" coords="952,859,1088,897"/>
<area shape="rect" id="node35" href="../../d9/d20/network__data_8cpp.html" title="This file implements common methods for manipulating Thread Network Data. " alt="" coords="1296,859,1456,897"/>
<area shape="rect" id="node36" href="../../d0/d0f/network__data__leader_8cpp.html" title="This file implements the Thread Network Data managed by the Thread Leader. " alt="" coords="1480,859,1640,897"/>
<area shape="rect" id="node37" href="../../dd/d90/network__data__local_8cpp.html" title="This file implements the local Thread Network Data. " alt="" coords="3786,859,3947,897"/>
<area shape="rect" id="node38" href="../../d1/d58/panid__query__server_8cpp.html" title="This file implements the PAN ID Query Server. " alt="" coords="3352,859,3499,897"/>
<area shape="rect" id="node21" href="../../dd/d48/cli_8cpp.html" title="This file implements the CLI interpreter. " alt="" coords="1557,952,1654,977"/>
<area shape="rect" id="node22" href="../../dc/de5/timer_8cpp.html" title="This file implements a multiplexed timer service on top of the alarm abstraction. ..." alt="" coords="1677,952,1859,977"/>
<area shape="rect" id="node23" href="../../d5/d8d/ip6_8cpp.html" title="This file implements IPv6 networking. " alt="" coords="2058,952,2196,977"/>
<area shape="rect" id="node26" href="../../d5/d6a/ncp__base_8cpp.html" title="This file implements a Spinel interface to the OpenThread stack. " alt="" coords="1883,952,2034,977"/>
<area shape="rect" id="node27" href="../../d0/d95/ncp__spi_8cpp.html" title="This file implements a SPI interface to the OpenThread stack. " alt="" coords="1393,952,1532,977"/>
<area shape="rect" id="node40" href="../../d4/da4/commissioner_8hpp.html" title="This file includes definitions for the Commissioner role. " alt="" coords="45,519,283,544"/>
<area shape="rect" id="node41" href="../../d9/d7e/leader_8hpp.html" title="This file includes definitions for a MeshCoP Leader. " alt="" coords="778,692,971,717"/>
<area shape="rect" id="node42" href="../../de/db9/ip6__filter_8cpp.html" title="This file implements IPv6 datagram filtering. " alt="" coords="1403,345,1573,371"/>
<area shape="rect" id="node43" href="../../d2/d1d/meshcop__dataset__manager_8hpp.html" title="This file includes definitions for managing MeshCoP Datasets. " alt="" coords="1800,685,1968,724"/>
<area shape="rect" id="node48" href="../../d8/d26/thread__tlvs_8hpp.html" title="This file includes definitions and methods for generating and processing Thread Network Layer TLVs..." alt="" coords="1199,339,1351,377"/>
<area shape="rect" id="node45" href="../../d1/d10/network__data_8hpp.html" title="This file includes definitions for managing Thread Network Data. " alt="" coords="1909,512,2070,551"/>
<area shape="rect" id="node46" href="../../de/d90/network__data__leader_8hpp.html" title="This file includes definitions for manipulating Thread Network Data managed by the Thread Leader..." alt="" coords="1942,599,2103,637"/>
<area shape="rect" id="node47" href="../../d0/d03/network__data__local_8hpp.html" title="This file includes definitions for manipulating local Thread Network Data. " alt="" coords="2296,685,2456,724"/>
<area shape="rect" id="node49" href="../../d9/d60/thread__tlvs_8cpp.html" title="This file implements common Thread Network Layer TLV processing. " alt="" coords="1183,425,1335,464"/>
</map>
</div>
</div>
<p><a href="../../d2/d49/link__quality_8hpp_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/d38/classThread_1_1LinkQualityInfo.html">Thread::LinkQualityInfo</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">This class encapsulates/stores all relevant information about quality of a link, including average received signal strength (RSS), link margin and link quality value (value in 0-3).  <a href="../../dd/d38/classThread_1_1LinkQualityInfo.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:ga327fac3c27070325354e650d4695e230"><td class="memItemLeft" align="right" valign="top">int8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d4b/group__core-link-quality.html#ga327fac3c27070325354e650d4695e230">Thread::GetAverageNoiseFloor</a> (LinkQualityInfo &amp;aNoiseFloor)</td></tr>
<tr class="memdesc:ga327fac3c27070325354e650d4695e230"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function returns the current average noise floor level (in dBm).  <a href="../../d3/d4b/group__core-link-quality.html#ga327fac3c27070325354e650d4695e230">More...</a><br /></td></tr>
<tr class="separator:ga327fac3c27070325354e650d4695e230"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga6c4f9e7e92b216865dc7c2783bfe9ea5"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d4b/group__core-link-quality.html#ga6c4f9e7e92b216865dc7c2783bfe9ea5">Thread::AddNoiseFloor</a> (LinkQualityInfo &amp;aNoiseFloor, int8_t aNoise)</td></tr>
<tr class="memdesc:ga6c4f9e7e92b216865dc7c2783bfe9ea5"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method adds a new noise floor value (in dBm) to the running average.  <a href="../../d3/d4b/group__core-link-quality.html#ga6c4f9e7e92b216865dc7c2783bfe9ea5">More...</a><br /></td></tr>
<tr class="separator:ga6c4f9e7e92b216865dc7c2783bfe9ea5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga3f3a4611a2d5eca6dc77cc8ff49ea64b"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d4b/group__core-link-quality.html#ga3f3a4611a2d5eca6dc77cc8ff49ea64b">Thread::ClearNoiseFloorAverage</a> (LinkQualityInfo &amp;aNoiseFloor)</td></tr>
<tr class="memdesc:ga3f3a4611a2d5eca6dc77cc8ff49ea64b"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method clears the current average noise floor value.  <a href="../../d3/d4b/group__core-link-quality.html#ga3f3a4611a2d5eca6dc77cc8ff49ea64b">More...</a><br /></td></tr>
<tr class="separator:ga3f3a4611a2d5eca6dc77cc8ff49ea64b"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>This file includes definitions for storing and processing link quality information. </p>
</div></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li><li class="navelem"><a class="el" href="../../dir_aebb8dcc11953d78e620bbef0b9e2183.html">core</a></li><li class="navelem"><a class="el" href="../../dir_fd71accbf528c1576ca21e7ec5716833.html">thread</a></li><li class="navelem"><a class="el" href="../../d2/d49/link__quality_8hpp.html">link_quality.hpp</a></li>
    <li class="footer">Generated on Fri Oct 14 2016 08:44:34 for OpenThread by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="../../doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
